Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8256977

Bump minimum GCC from 5.x to 6 for JDK

    XMLWordPrintable

    Details

    • Type: Enhancement
    • Status: Resolved
    • Priority: P4
    • Resolution: Fixed
    • Affects Version/s: 16
    • Fix Version/s: 18
    • Component/s: infrastructure
    • Labels:
    • Subcomponent:
    • Resolved In Build:
      b15

      Description

      While working on JDK-8252797 it was observed that an interaction exists between specific versions of GCC/gtests and JDK headers

      GCC version 5.x has an issue with the way it handles the headers:

      https://gcc.gnu.org/bugzilla/show_bug.cgi?id=14608

      https://gcc.gnu.org/bugzilla/show_bug.cgi?id=14608#c13):

      We have workarounds for that issue, but we could conceivably end up with a similar issue in the future involving a different header interaction. We could avoid such risks, if we bumped up the min GCC version requirement to version 6

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              ihse Magnus Ihse Bursie
              Reporter:
              gziemski Gerard Ziemski
              Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: